Bug 149795 - setting clock prints date two times
Summary: setting clock prints date two times
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-27 02:30 UTC by Michael Schwendt
Modified: 2014-03-17 02:52 UTC (History)
1 user (show)

Fixed In Version: 8.05-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-28 20:00:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2005-02-27 02:30:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1

Description of problem:
The removal of initlog support in /etc/init.d/functions causes the following line in /etc/rc.d/rc.sysinit to print the date string two times. The action() function executes $* and hence "date" a second time.

  action $"Setting clock $CLOCKDEF: `date`" date



Example:
Setting clock : Sun Feb 27 03:26:16 CET 2005 Sun Feb 27 03:26:16 CET 2005
                                                           [  OK  ]


Removing the call of `date` inside the action string would suffice as a work-around unless something more complex is planned.


Version-Release number of selected component (if applicable):
initscripts-8.04-1

How reproducible:
Always

Steps to Reproduce:
-


Additional info:

Comment 1 Bill Nottingham 2005-02-28 20:00:44 UTC
Fixed in CVS, will be in 8.05-1.



Note You need to log in before you can comment on or make changes to this bug.